org.eclipse.ease.modules.unittest.components

## Class TestComposite

- java.lang.Object
- - org.eclipse.ease.modules.unittest.components.TestEntity
  - - org.eclipse.ease.modules.unittest.components.TestComposite

All Implemented Interfaces:
  IExecutionListener, ITestListener

Direct Known Subclasses:
  TestFile, TestSuite

    public abstract class TestComposite
    extends TestEntity
    implements ITestListener, IExecutionListener

### Field Summary

Fields
`static String` `CURRENT_TESTCOMPOSITE`

### Fields inherited from interface org.eclipse.ease.IExecutionListener

`ENGINE_END, ENGINE_START, SCRIPT_END, SCRIPT_INJECTION_END, SCRIPT_INJECTION_START, SCRIPT_START`

### Constructor Summary

Constructors
Constructor and Description
`TestComposite(TestComposite parent)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `addTest(Test test)`
`void` `addTestResult(TestStatus status, String message)`
`void` `addTestResult(TestStatus status, String message, List<IScriptDebugFrame> trace)`
`void` `endTest()`
`abstract Collection<? extends TestEntity>` `getChildren()`
`Test` `getCurrentTest()`
`abstract Object` `getFile()`
`TestStatus` `getStatus()`
`List<Test>` `getTests()`
`void` `notify(IScriptEngine engine, Script script, int status)`
`void` `notify(Object testObject, TestStatus status)`
`void` `reset()`

### Methods inherited from class org.eclipse.ease.modules.unittest.components.TestEntity

`addTestListener, getExecutionTime, getParent, getStartTime, removeTestListener, setStatus`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CURRENT_TESTCOMPOSITE

    public static final String CURRENT_TESTCOMPOSITE

See Also:
  Constant Field Values

### Constructor Detail

#### TestComposite

    public TestComposite(TestComposite parent)

### Method Detail

#### getStatus

    public TestStatus getStatus()

Overrides:
  `getStatus` in class `TestEntity`

#### notify

    public void notify(Object testObject,
                       TestStatus status)

Specified by:
  `notify` in interface `ITestListener`

#### addTest

    public void addTest(Test test)

#### endTest

    public void endTest()

#### reset

    public void reset()

Overrides:
  `reset` in class `TestEntity`

#### getCurrentTest

    public Test getCurrentTest()

#### getTests

    public List<Test> getTests()

#### addTestResult

    public void addTestResult(TestStatus status,
                              String message)

#### addTestResult

    public void addTestResult(TestStatus status,
                              String message,
                              List<IScriptDebugFrame> trace)

#### notify

    public void notify(IScriptEngine engine,
                       Script script,
                       int status)

Specified by:
  `notify` in interface `IExecutionListener`

#### getChildren

    public abstract Collection<? extends TestEntity> getChildren()

#### getFile

    public abstract Object getFile()